Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class DBAdapter

    java.lang.Object
      com.sun.mdm.index.ops.DBAdapter

Direct Known Subclasses:
  MySQLAdapter, OracleAdapter, SQLServerAdapter

public abstract class DBAdapter
extends java.lang.Object

Constructor Summary
`DBAdapter()`

Method Summary
`abstract void` | `createTransactionObjectDB(java.sql.Connection con, TransactionObject tObj)` Creates a TransactionObjectDB and persist to the database.
`abstract java.lang.String` | `getAuditMgrInsertStmt()` Insert statement for AuditManager.
`abstract java.lang.String` | `getAuditMgrOperationColumnName()` Return Operation column name for AuditManager.
`abstract java.lang.String` | `getAuditMgrSelectStmt()` Select statement for AuditManager.
`(package private) abstract java.lang.String` | `getDateFormattedString(java.util.Date date)` Convert Date to formatted String that is used in SQL query.
`static DBAdapter` | `getDBAdapterInstance()` Return the DBAdapter singleton.
`abstract java.lang.String` | `getDeltaByTransIDStmt()` Find the delta by EUID.
`abstract java.lang.String` | `getKeyStatDBCountBetweenTimesStmt()` Count transactions of a specific operation between two specified times.
`abstract java.lang.String` | `getOperationColumnName()` Return the name of the operation column.
`abstract java.lang.String` | `getQHelperMergeMaxTimestampStmt()` Select LID by maximum timestamp for QueryHelper.
`abstract java.lang.String` | `getQHelperUnmergeMaxTimestampStmt()` Select maximum timestamp for unmerging two LIDs for QueryHelper.
`abstract java.lang.String` | `getTransObjByEUIDAfterTimeNonMergedStmt()` Find by EUID and after a specified time (non-merged records only).
`(package private) abstract java.lang.String` | `getTransObjByEUIDAfterTimeStmt()` Find by EUID and after a specified time.
`(package private) abstract java.lang.String` | `getTransObjByEUIDBeforeTimeStmt()` Find by EUID and before a specified time.
`(package private) abstract java.lang.String` | `getTransObjByEUIDBetweenTimesStmt()` Find by EUID and between two specified times.
`(package private) abstract java.lang.String` | `getTransObjByEUIDStmt()` Find by EUID.
`(package private) abstract java.lang.String` | `getTransObjBySysCodeLIDAfterTimeStmt()` Find by system code SQL statement for TransactionObjectDB and after a specified time.
`(package private) abstract java.lang.String` | `getTransObjBySysCodeLIDBeforeTimeStmt()` Find by system code SQL statement for TransactionObjectDB and before a specified time.
`(package private) abstract java.lang.String` | `getTransObjBySysCodeLIDBetweenTimesStmt()` Find by system code SQL statement for TransactionObjectDB and between two specified times.
`(package private) abstract java.lang.String` | `getTransObjBySysCodeLIDStmt()` Find by system code SQL statement for TransactionObjectDB.
`(package private) abstract java.lang.String` | `getTransObjCreateSelectStmt()` Generates the first part of a general select clause to find a set of transaction objects.
`(package private) abstract java.lang.String` | `getTransObjForRecoveryStmt()` Find by EUID and after a specified timestamp for recovery.
`(package private) abstract java.lang.String` | `getTransObjInsertStmt()` Insert statement for TransactionObjectDB.
`abstract java.lang.String` | `getTransObjNextTOByEUIDStmt()` Find the next Transaction Object for an EUID.
`(package private) abstract java.lang.String` | `getTransObjSelectStmt()` Select statement for TransactionObjectDB.
`abstract java.lang.String` | `getVarcharToNumberConversion(java.lang.String val)` Convert a string (varchar) to a number.
`abstract boolean` | `setDelta(java.lang.Object delta, DeltaParameters deltaParams)` Set the delta column value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBAdapter

    public DBAdapter()

Method Detail

### createTransactionObjectDB

    public abstract void createTransactionObjectDB(java.sql.Connection con,
                                                   TransactionObject tObj)
                                            throws OPSException

  Creates a TransactionObjectDB and persist to the database.

  Parameters:
    `con` - Database connection.
    `tObj` - TransactionObject to persist.
  Throws:
    `OPSException` - if any exceptions are encountered

### getAuditMgrInsertStmt

    public abstract java.lang.String getAuditMgrInsertStmt()

  Insert statement for AuditManager.

  Returns:
    Insert SQL statement for AuditManager.

### getAuditMgrOperationColumnName

    public abstract java.lang.String getAuditMgrOperationColumnName()

  Return Operation column name for AuditManager.

  Returns:
    AuditManager table Column name.

### getAuditMgrSelectStmt

    public abstract java.lang.String getAuditMgrSelectStmt()

  Select statement for AuditManager.

  Returns:
    Select SQL statement for AuditManager.

### getDateFormattedString

    abstract java.lang.String getDateFormattedString(java.util.Date date)

  Convert Date to formatted String that is used in SQL query.

  Parameters:
    `date` - Date to convert.
  Returns:
    formatted String representing the formatted date.

### getDBAdapterInstance

    public static DBAdapter getDBAdapterInstance()
                                          throws OPSException

  Return the DBAdapter singleton.

  Returns:
    DBAdapter singleton
  Throws:
    `OPSException` - if any exceptions are encountered.

### getDeltaByTransIDStmt

    public abstract java.lang.String getDeltaByTransIDStmt()

  Find the delta by EUID.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getKeyStatDBCountBetweenTimesStmt

    public abstract java.lang.String getKeyStatDBCountBetweenTimesStmt()

  Count transactions of a specific operation between two specified times.

  Returns:
    Select SQL statement for KeyStatisticsDB.

### getOperationColumnName

    public abstract java.lang.String getOperationColumnName()

  Return the name of the operation column.

  Returns:
    name of the operation column.

### getQHelperMergeMaxTimestampStmt

    public abstract java.lang.String getQHelperMergeMaxTimestampStmt()

  Select LID by maximum timestamp for QueryHelper.

  Returns:
    Select SQL statement for QueryHelper.

### getQHelperUnmergeMaxTimestampStmt

    public abstract java.lang.String getQHelperUnmergeMaxTimestampStmt()

  Select maximum timestamp for unmerging two LIDs for QueryHelper.

  Returns:
    Select SQL statement for QueryHelper.

### getTransObjByEUIDAfterTimeNonMergedStmt

    public abstract java.lang.String getTransObjByEUIDAfterTimeNonMergedStmt()

  Find by EUID and after a specified time (non-merged records only).

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjByEUIDAfterTimeStmt

    abstract java.lang.String getTransObjByEUIDAfterTimeStmt()

  Find by EUID and after a specified time.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjByEUIDBeforeTimeStmt

    abstract java.lang.String getTransObjByEUIDBeforeTimeStmt()

  Find by EUID and before a specified time.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjByEUIDBetweenTimesStmt

    abstract java.lang.String getTransObjByEUIDBetweenTimesStmt()

  Find by EUID and between two specified times.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjByEUIDStmt

    abstract java.lang.String getTransObjByEUIDStmt()

  Find by EUID.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjBySysCodeLIDAfterTimeStmt

    abstract java.lang.String getTransObjBySysCodeLIDAfterTimeStmt()

  Find by system code SQL statement for TransactionObjectDB and after a specified time.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjBySysCodeLIDBeforeTimeStmt

    abstract java.lang.String getTransObjBySysCodeLIDBeforeTimeStmt()

  Find by system code SQL statement for TransactionObjectDB and before a specified time.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjBySysCodeLIDBetweenTimesStmt

    abstract java.lang.String getTransObjBySysCodeLIDBetweenTimesStmt()

  Find by system code SQL statement for TransactionObjectDB and between two specified times.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjBySysCodeLIDStmt

    abstract java.lang.String getTransObjBySysCodeLIDStmt()

  Find by system code SQL statement for TransactionObjectDB.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjCreateSelectStmt

    abstract java.lang.String getTransObjCreateSelectStmt()

  Generates the first part of a general select clause to find a set of transaction objects.

  Returns:
    First part of a general select clause for TransactionObjectDB.

### getTransObjForRecoveryStmt

    abstract java.lang.String getTransObjForRecoveryStmt()

  Find by EUID and after a specified timestamp for recovery.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjInsertStmt

    abstract java.lang.String getTransObjInsertStmt()

  Insert statement for TransactionObjectDB.

  Returns:
    Insert SQL statement for TransactionObjectDB.

### getTransObjNextTOByEUIDStmt

    public abstract java.lang.String getTransObjNextTOByEUIDStmt()

  Find the next Transaction Object for an EUID.

  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjSelectStmt

    abstract java.lang.String getTransObjSelectStmt()

  Select statement for TransactionObjectDB.

  Returns:
    Select statement for TransactionObjectDB.

### getVarcharToNumberConversion

    public abstract java.lang.String getVarcharToNumberConversion(java.lang.String val)

  Convert a string (varchar) to a number.

  Returns:
    Conversion function.

### setDelta

    public abstract boolean setDelta(java.lang.Object delta,
                                     DeltaParameters deltaParams)
                              throws OPSException

  Set the delta column value.

  Parameters:
    `delta` - Value of the delta.
  Returns:
    boolean true if no problems were encountered, false otherwise.
  Throws:
    `OPSException` - if any exceptions are encountered.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.